php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #16845 54635 cannot find libpq.so
Submitted: 2002-04-26 05:50 UTC Modified: 2002-04-26 21:57 UTC
From: pendulaire_75 at hotmail dot com Assigned:
Status: Not a bug Package: PostgreSQL related
PHP Version: 4.2.0 OS: POSIX
Private report: No CVE-ID: None
 [2002-04-26 05:50 UTC] pendulaire_75 at hotmail dot com
Bonjour

Apache and Postgresql is installed (I have been created tables in base and inser is ok) I try now to install PHP4.

I start :
./configure --with-pgsql --with-apxs

error message 54635 cannot find libpq.so.

I read FAQ and notice something abour libpq.dll but I do not know what to do and libpq.so is not located in any package (PHP Apache or Postgresql)

May be somebody may help me !

thank you 
jean marie

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2002-04-26 08:38 UTC] yohgaki@php.net
What is your OS? 
 [2002-04-26 11:00 UTC] pendulaire_75 at hotmail dot com
OS is WINDOWS NT 4
 [2002-04-26 21:57 UTC] yohgaki@php.net
I seems you are tring to build PHP under cygwin/gcc/etc.
You need VC++ to build php.

configure scripts are not designed to work with dlls.

Please ask questions to lists if you have any.


 [2013-03-18 12:25 UTC] americancafe at hotmail dot com
No. This is wrong. It happens on a Mac (OSX 10.6) also.
Please post the real solution.

checking for pg_config... not found
configure: error: Cannot find libpq.so. Please specify correct PostgreSQL installation path
MacBook:pgsql jakeizreal$
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Sun May 26 01:01:26 2019 UTC